apiVersion: v1
kind: Template
labels:
  app: curator
  template: curator-buildconfig
metadata:
  annotations:
    description: ElasticSearch Curator - BuildConfig
    iconClass: icon-openshift
    openshift.io/display-name: ElasticSearch Curator
    tags: curator
  name: curator-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds ElasticSearch Curator images
    labels:
      name: curator-${S3EXPLORER_REPOSITORY_REF}
    name: curator-${S3EXPLORER_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 100m
        memory: 1Gi
    source:
      contextDir: /
      git:
        uri: ${S3EXPLORER_REPOSITORY_URL}
        ref: "${S3EXPLORER_REPOSITORY_REF}"
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: curator:${S3EXPLORER_REPOSITORY_REF}
    triggers:
    - type: ImageChange
    - type: ConfigChange
parameters:
- name: S3EXPLORER_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: S3EXPLORER_REPOSITORY_URL
  description: The URL of the repository with your ElasticSearch Curator Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-curator.git
